package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConfiguracionProductoParada;

public class RenderConfiguracionProductoParada implements ListitemRenderer{

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		ConfiguracionProductoParada cpp = (ConfiguracionProductoParada) o;
		
		Listcell lc = new Listcell(cpp.getConfiguracionProductoParadaId() == null ? "" : cpp.getConfiguracionProductoParadaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(cpp.getParadaId() == null ? "" : cpp.getParadaId().getDescparada());
		lc.setParent(lstm);

		lc = new Listcell(cpp.getConfiguracionProducto().getConfiguracionProductoId() == null ? "" : cpp.getConfiguracionProducto().getConfiguracionProductoId().toString());
		lc.setParent(lstm);
		
		lstm.setAttribute("data", cpp);
	}

}
